path: /build/build/rabbitmq-c-net-libs-0.10.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -libressl ssl tools" emerge net-libs/rabbitmq-c -pv -t && \
    USE="-doc -libressl ssl tools" emerge -j ${JOBS} --nodeps net-libs/rabbitmq-c
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rabbitmq-c && luet-portage --dir /pkgdir/rabbitmq-c
    net-libs/rabbitmq-c && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e96b4189e3d4276ec007c59afba8ebe7780e0445ab8273209ce135f88eebb5ad
  package:
    name: rabbitmq-c
    version: 0.10.0
    category: net-libs
    use_flags:
    - -doc
    - -libressl
    - ssl
    - tools
    requires:
    - name: libesmtp
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: RabbitMQ C client
    uri:
    - https://github.com/alanxz/rabbitmq-c
    license: MIT
    buildtimestamp: 2023-10-11 15:39:12.794336017 +0000 UTC m=+81.573447164
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: doc? ( app-doc/doxygen ) tools? ( app-text/xmlto )
      IUSE: doc libressl test +ssl static-libs tools
      RDEPEND: ssl? ( libressl? ( dev-libs/libressl:= ) !libressl? ( dev-libs/openssl:0=
        ) ) tools? ( dev-libs/popt )
      emerge.packages: net-libs/rabbitmq-c
      kit: net-kit
      original.package.name: net-libs/rabbitmq-c
      original.package.slot: "0"
      original.package.version: 0.10.0
    treedir: /build/packages
  package_dir: /pkgdir/rabbitmq-c
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6907c2cc337f79c461a7ed0899971894bcc5d3f2143fa7ff00ee469e423aa635
compressiontype: zstd
files:
- usr/bin/amqp-consume
- usr/bin/amqp-declare-queue
- usr/bin/amqp-delete-queue
- usr/bin/amqp-get
- usr/bin/amqp-publish
- usr/include/amqp.h
- usr/include/amqp_framing.h
- usr/include/amqp_ssl_socket.h
- usr/include/amqp_tcp_socket.h
- usr/lib64/librabbitmq.so
- usr/lib64/librabbitmq.so.4
- usr/lib64/librabbitmq.so.4.4.0
- usr/lib64/pkgconfig/librabbitmq.pc
- usr/share/doc/rabbitmq-c-0.10.0/AUTHORS
- usr/share/doc/rabbitmq-c-0.10.0/README.md.bz2
- usr/share/doc/rabbitmq-c-0.10.0/THANKS.bz2
- usr/share/doc/rabbitmq-c-0.10.0/TODO.bz2
- usr/share/man/man1/amqp-consume.1.bz2
- usr/share/man/man1/amqp-declare-queue.1.bz2
- usr/share/man/man1/amqp-delete-queue.1.bz2
- usr/share/man/man1/amqp-get.1.bz2
- usr/share/man/man1/amqp-publish.1.bz2
- usr/share/man/man7/librabbitmq-tools.7.bz2
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/BDEPEND
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/BUILD_TIME
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/CATEGORY
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/CBUILD
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/CFLAGS
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/CHOST
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/CONTENTS
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/COUNTER
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/CXXFLAGS
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/DEFINED_PHASES
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/DEPEND
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/DESCRIPTION
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/EAPI
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/FEATURES
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/HOMEPAGE
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/INHERITED
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/IUSE
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/KEYWORDS
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/LDFLAGS
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/LICENSE
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/NEEDED
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/PF
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/PROVIDES
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/RDEPEND
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/REQUIRES
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/RESTRICT
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/SIZE
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/SLOT
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/USE
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/environment.bz2
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/rabbitmq-c-0.10.0.ebuild
- var/db/pkg/net-libs/rabbitmq-c-0.10.0/repository
package_cacheimage: ""
runtime:
  name: rabbitmq-c
  version: 0.10.0
  category: net-libs
  use_flags:
  - -doc
  - -libressl
  - ssl
  - tools
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: popt
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: RabbitMQ C client
  uri:
  - https://github.com/alanxz/rabbitmq-c
  license: MIT
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: doc? ( app-doc/doxygen ) tools? ( app-text/xmlto )
    IUSE: doc libressl test +ssl static-libs tools
    RDEPEND: ssl? ( libressl? ( dev-libs/libressl:= ) !libressl? ( dev-libs/openssl:0=
      ) ) tools? ( dev-libs/popt )
    emerge.packages: net-libs/rabbitmq-c
    kit: net-kit
    original.package.name: net-libs/rabbitmq-c
    original.package.slot: "0"
    original.package.version: 0.10.0
